Name: ruby-libart
Version: 0.1
Release: alt1
Summary: Ruby/LibArt is a Ruby binding of libart_lgpl
Source0: %name.tar.bz2
License: GNU LGPL
Group: Development/Ruby
Requires: ruby-stdlibs-core >= 1.7.3-alt7
AutoReq: yes, noshell

BuildRequires:  libruby-devel >= 1.7.3-alt7, ruby, libart_lgpl-devel

%package devel
Summary: Headers for developing with Ruby/LArt
License: GNU LGPL
Group: Development/Ruby
Requires: %name = %version-%release

%description
Ruby/LibArt is a Ruby binding of libart_lgpl

%description devel
Ruby/LibArt is a Ruby binding of libart_lgpl, graphics routines used by the 
GnomeCanvas widget and some other applications.

This package contains header files needed for developing Ruby extensions
depending on Ruby/Lart.

%prep
%setup -q -n %name

%build
%ruby_configure
%make_build

%install
make -C src DESTDIR=%buildroot site-install
%__cp src/*.h %buildroot%ruby_sitearchdir/

%clean

%files
%doc README ChangeLog COPYING.LIB sample
%ruby_sitearchdir/*.so

%files devel
%ruby_sitearchdir/*.h

%changelog
* Tue Nov 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.1-alt1
- Initial packaging

